Bug 117665

Summary: Crash in loadPendingShaders
Product: WebKit Reporter: Dean Jackson <dino>
Component: CSSAssignee: Alexandru Chiculita <achicu>
Status: RESOLVED FIXED    
Severity: Normal CC: allan.jensen, commit-queue, esprehn+autocc, glenn, macpherson, menard, mvujovic, WebkitBugTracker
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Dean Jackson 2013-06-14 16:56:04 PDT
We're getting many reports of a crash in loadPendingShaders. Alas, we don't have the content or URLs - it's an automated system.

Thread 0 Crashed ↩:: Dispatch queue: com.apple.main-thread
0   com.apple.WebCore             	0x00007fff8c2f19d8 WebCore::StyleResolver::loadPendingShaders() + 24
1   com.apple.WebCore             	0x00007fff8c2e4f71 WebCore::StyleResolver::applyMatchedProperties(WebCore::StyleResolver::MatchResult const&, WebCore::Element const*) + 1089
2   com.apple.WebCore             	0x00007fff8c2e0a0c WebCore::StyleResolver::styleForElement(WebCore::Element*, WebCore::RenderStyle*, WebCore::StyleSharingBehavior, WebCore::RuleMatchingBehavior, WebCore::RenderRegion*) + 3404
3   com.apple.WebCore             	0x00007fff8bd4044a WebCore::Element::styleForRenderer() + 122
4   com.apple.WebCore             	0x00007fff8c1246c0 WebCore::NodeRenderingContext::createRendererForElementIfNeeded() + 48
5   com.apple.WebCore             	0x00007fff8b6b57e7 WebCore::Element::attach() + 55
6   com.apple.WebCore             	0x00007fff8bdc894c WebCore::executeTask(WebCore::HTMLConstructionSiteTask&) + 172
7   com.apple.WebCore             	0x00007fff8bdc886c WebCore::HTMLConstructionSite::executeQueuedTasks() + 108
8   com.apple.WebCore             	0x00007fff8b6b4d0a WebCore::HTMLTreeBuilder::constructTreeFromToken(WebCore::HTMLToken&) + 74
9   com.apple.WebCore             	0x00007fff8b69a700 WebCore::HTMLDocumentParser::pumpTokenizer(WebCore::HTMLDocumentParser::SynchronousMode) + 352
10  com.apple.WebCore             	0x00007fff8b6fd2b3 WebCore::HTMLDocumentParser::append(WebCore::SegmentedString const&) + 243
11  com.apple.WebCore             	0x00007fff8bc493be WebCore::DecodedDataDocumentParser::appendBytes(WebCore::DocumentWriter*, char const*, unsigned long) + 126
12  com.apple.WebCore             	0x00007fff8bc5f6f7 WebCore::DocumentLoader::commitData(char const*, unsigned long) + 327
13  com.apple.WebKit2             	0x00007fff87bdfd18 WebKit::WebFrameLoaderClient::committedLoad(WebCore::DocumentLoader*, char const*, int) + 74
14  com.apple.WebCore             	0x00007fff8b6f88eb WebCore::DocumentLoader::commitLoad(char const*, int) + 139
15  com.apple.WebCore             	0x00007fff8c0efd11 WebCore::MainResourceLoader::dataReceived(WebCore::CachedResource*, char const*, int) + 657
16  com.apple.WebCore             	0x00007fff8bb842f3 WebCore::CachedRawResource::data(WTF::PassRefPtr<WebCore::ResourceBuffer>, bool) + 387
17  com.apple.WebCore             	0x00007fff8c30381b WebCore::SubresourceLoader::sendDataToResource(char const*, int) + 139
18  com.apple.WebCore             	0x00007fff8b733ebc WebCore::SubresourceLoader::didReceiveData(char const*, int, long long, bool) + 76
Comment 1 Dean Jackson 2013-06-14 16:56:32 PDT
<rdar://problem/12936342>
Comment 2 Alexandru Chiculita 2013-06-15 08:29:47 PDT
I will take a look on Monday.
Comment 3 Max Vujovic 2013-06-17 15:03:24 PDT
Created attachment 204858 [details]
Patch

Speculative fix. My build isn't done yet, so hopefully this compiles :)
Comment 4 Max Vujovic 2013-06-17 15:15:49 PDT
Comment on attachment 204858 [details]
Patch

My build looks good. Setting cq+.
Comment 5 WebKit Commit Bot 2013-06-17 15:42:56 PDT
Comment on attachment 204858 [details]
Patch

Clearing flags on attachment: 204858

Committed r151657: <http://trac.webkit.org/changeset/151657>
Comment 6 WebKit Commit Bot 2013-06-17 15:42:58 PDT
All reviewed patches have been landed.  Closing bug.